Debian Bug report logs - #598956
On kfreebsd going into web pane segfaults Liferea.

version graph

Package: libwebkit-1.0-2; Maintainer for libwebkit-1.0-2 is Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>;

Reported by: Michael Dorrington <michael.dorrington@gmail.com>

Date: Sun, 3 Oct 2010 13:15:01 UTC

Severity: serious

Tags: confirmed, moreinfo, patch

Merged with 547177, 550362, 559925, 598894

Found in versions webkit/1.1.17-2, webkit/1.2.4-1, webkit/1.2.5-2

Fixed in version webkit/1.2.5-2.1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#598956; Package liferea. (Sun, 03 Oct 2010 13:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Dorrington <michael.dorrington@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Sun, 03 Oct 2010 13:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Dorrington <michael.dorrington@gmail.com>
To: submit@bugs.debian.org
Subject: On kfreebsd going into web pane segfaults Liferea.
Date: Sun, 03 Oct 2010 14:13:32 +0100
[Message part 1 (text/plain, inline)]
Package: liferea
Version: 1.6.4-1
Severity: important
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-CC: debian-bsd@lists.debian.org

When an article in a feed is selected, moving the cursor over to the web
pane the cursor changes to the double headed arrow as it goes over the
pane divider. The cursor stays as a double headed arrow in the web pane.
Liferea is then unresponsive and segfaults.

# apt-get install libwebkit-1.0-2-dbg libglib2.0-0-dbg libgtk2.0-0-dbg

$ liferea --debug-all
[snip]
GUI: item list selection changed to "Cyril Brulebois: Buildd fun"
HTML: HTML view: selecting "Cyril Brulebois: Buildd fun"
DB: loading item 59 (thread=0x80b3518)
DB: loading item 59 (thread=0x80b3518)

** (liferea:97026): CRITICAL **: common_strreplace: assertion `string !=
NULL' failed
DB: loading item 59 (thread=0x80b3518)
PERF: htmlview_render_item took 0,067s
HTML: writing 5232 bytes to HTML view
GUI: itemlist selection took 0,078s
PERF: itemlist_selection_changed took 0,078s

Liferea did receive signal 11 (Segmentation fault).
You have propably triggered a program bug. I will now try to
create a backtrace which you can attach to any support requests.

#0  0x29915775 in wait4 () from /lib/libc.so.0.1
#1  0x2976b79c in waitpid () from /lib/libpthread.so.0
#2  0x297d0978 in IA__g_on_error_stack_trace (
#3  0x080780c4 in ?? ()
#4  0x2976aad7 in __pthread_sighandler () from /lib/libpthread.so.0
#5  <signal handler called>
#6  0x28c8b9d6 in WTF::RefPtr<JSC::Structure>::get (exec=0x30240440,
#7  JSC::JSGlobalObject::numberObjectStructure (exec=0x30240440, number=...)
#8  JSC::constructNumber (exec=0x30240440, number=...)
#9  0x28c84fc5 in JSC::JSValue::toThisObjectSlowCase (this=0xbfbfd494,
#10 0x28e7edbb in JSC::JSValue::toThisObject (exec=0x30240440,
thisValue=...,
#11 WebCore::jsDOMWindowPrototypeFunctionClearTimeout (exec=0x30240440,
#12 0x2fd67166 in ?? ()
#13 0x28bae6b0 in JSC::JITCode::execute (this=0x2f37b7e0,
#14 JSC::Interpreter::execute (this=0x2f37b7e0,
functionExecutable=0x2f38e1b0,
#15 0x28c7100d in JSC::JSFunction::call (this=0x302400c0, exec=0x2f3b2e24,
#16 0x28c4e9ae in JSC::call (exec=0x2f3b2e24,
#17 0x2849c96a in WebCore::JSEventListener::handleEvent (this=0x2f3f9a80,
#18 0x285b22b5 in WebCore::EventTarget::fireEventListeners
(this=0x2f403c00,
#19 0x285c0352 in WebCore::Node::handleLocalEvents (this=0x2f403c00,
#20 0x285c3eec in WebCore::Node::dispatchGenericEvent (this=0x2f3f2948,
#21 0x285c43c4 in WebCore::Node::dispatchEvent (this=0x2f3f2948,
prpEvent=...)
#22 0x285c5530 in WebCore::Node::dispatchMouseEvent (this=0x2f3f2948,
#23 0x285c5c70 in WebCore::Node::dispatchMouseEvent (this=0x2f3f2948,
#24 0x287a192b in WebCore::EventHandler::updateMouseEventTargetNode (
#25 0x287a1e42 in WebCore::EventHandler::dispatchMouseEvent
(this=0x2f369a78,
#26 0x287a2fb0 in WebCore::EventHandler::handleMouseMoveEvent (
#27 0x287a33c0 in WebCore::EventHandler::mouseMoved (this=0x2f369a78,
#28 0x28b26c5f in webkit_web_view_motion_event (widget=0x83f1808,
#29 0x292f8044 in _gtk_marshal_BOOLEAN__BOXED (closure=0x80fece8,
#30 0x2977e789 in g_type_class_meta_marshal (closure=0x80fece8,
#31 0x2978011a in IA__g_closure_invoke (closure=0x80fece8,
#32 0x29796246 in signal_emit_unlocked_R (node=<value optimized out>,
#33 0x29797a5b in IA__g_signal_emit_valist (instance=0x83f1808,
signal_id=52,
#34 0x29798056 in IA__g_signal_emit (instance=0x83f1808, signal_id=52,
#35 0x294243d6 in gtk_widget_event_internal (widget=<value optimized out>,
#36 0x292f069d in IA__gtk_propagate_event (widget=0x83f1808,
event=0x8348690)
#37 0x292f1a27 in IA__gtk_main_do_event (event=0x8348690)
#38 0x29606daa in gdk_event_dispatch (source=0x80e9dc8, callback=0,
#39 0x297f5415 in g_main_dispatch (context=0x80ca698)
#40 IA__g_main_context_dispatch (context=0x80ca698)
#41 0x297f9018 in g_main_context_iterate (context=0x80ca698,
#42 0x297f9557 in IA__g_main_loop_run (loop=0x83c1768)
#43 0x292f1fe9 in IA__gtk_main ()
#44 0x08077e61 in main ()
$ echo $?
1

This could well be a caused by webkit not working properly on kfreebsd
because Epiphany also crashes on kfreebsd, "epiphany-browser: Crash
loading any webpage"
<http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=550362>

Regards,
Mike.

P.S. Crash reporter says
"You have propably triggered a program bug. I will now try to"
but probably is spelt incorrectly, it should be
"You have probably triggered a program bug. I will now try to"

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: kfreebsd-i386 (i686)

Kernel: kFreeBSD 8.1-1-686
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages liferea depends on:
ii  gconf2                      2.28.1-3     GNOME configuration
database syste
ii  libatk1.0-0                 1.30.0-1     The ATK accessibility toolkit
ii  libc0.1                     2.11.2-6     Embedded GNU C Library:
Shared lib
ii  libcairo2                   1.8.10-6     The Cairo 2D vector
graphics libra
ii  libdbus-glib-1-2            0.88-2       simple interprocess
messaging syst
ii  libgconf2-4                 2.28.1-3     GNOME configuration
database syste
ii  libglade2-0                 1:2.6.4-1    library to load .glade
files at ru
ii  libglib2.0-0                2.24.2-1     The GLib library of C routines
ii  libgtk2.0-0                 2.20.1-1+b1  The GTK+ graphical user
interface
ii  libice6                     2:1.0.6-1    X11 Inter-Client Exchange
library
ii  liblua5.1-0                 5.1.4-5      Simple, extensible,
embeddable pro
ii  libnotify1 [libnotify1-gtk2 0.5.0-2      sends desktop notifications
to a n
ii  libpango1.0-0               1.28.1-1     Layout and rendering of
internatio
ii  libsm6                      2:1.1.1-1    X11 Session Management library
ii  libsoup2.4-1                2.30.2-1     an HTTP library
implementation in
ii  libsqlite3-0                3.7.2-1      SQLite 3 shared library
ii  libwebkit-1.0-2             1.2.4-1      Web content engine library
for Gtk
ii  libx11-6                    2:1.3.3-3    X11 client-side library
ii  libxml2                     2.7.7.dfsg-4 GNOME XML library
ii  libxslt1.1                  1.1.26-6     XSLT 1.0 processing library
- runt
ii  liferea-data                1.6.4-1      architecture independent
data for

Versions of packages liferea recommends:
ii  dbus                          1.2.24-3   simple interprocess
messaging syst
ii  dbus-x11                      1.2.24-3   simple interprocess
messaging syst
ii  wget                          1.12-2.1   retrieves files from the web

Versions of packages liferea suggests:
pn  network-manager               <none>     (no description available)

-- no debconf information

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#598956; Package liferea. (Sun, 03 Oct 2010 13:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@stusta.de>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. (Sun, 03 Oct 2010 13:45:02 GMT) Full text and rfc822 format available.

Message #10 received at 598956@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: Michael Dorrington <michael.dorrington@gmail.com>, 598956@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#598956: On kfreebsd going into web pane segfaults Liferea.
Date: Sun, 3 Oct 2010 16:43:16 +0300
reassign 598956 libwebkit-1.0-2
found 598956 1.2.4-1
thanks

On Sun, Oct 03, 2010 at 02:13:32PM +0100, Michael Dorrington wrote:
> 
> Package: liferea
> Version: 1.6.4-1
> Severity: important
> User: debian-bsd@lists.debian.org
> Usertags: kfreebsd
> X-Debbugs-CC: debian-bsd@lists.debian.org
> 
> When an article in a feed is selected, moving the cursor over to the web
> pane the cursor changes to the double headed arrow as it goes over the
> pane divider. The cursor stays as a double headed arrow in the web pane.
> Liferea is then unresponsive and segfaults.
> 
> # apt-get install libwebkit-1.0-2-dbg libglib2.0-0-dbg libgtk2.0-0-dbg
> 
> $ liferea --debug-all
> [snip]
> GUI: item list selection changed to "Cyril Brulebois: Buildd fun"
> HTML: HTML view: selecting "Cyril Brulebois: Buildd fun"
> DB: loading item 59 (thread=0x80b3518)
> DB: loading item 59 (thread=0x80b3518)
> 
> ** (liferea:97026): CRITICAL **: common_strreplace: assertion `string !=
> NULL' failed
> DB: loading item 59 (thread=0x80b3518)
> PERF: htmlview_render_item took 0,067s
> HTML: writing 5232 bytes to HTML view
> GUI: itemlist selection took 0,078s
> PERF: itemlist_selection_changed took 0,078s
> 
> Liferea did receive signal 11 (Segmentation fault).
> You have propably triggered a program bug. I will now try to
> create a backtrace which you can attach to any support requests.
> 
> #0  0x29915775 in wait4 () from /lib/libc.so.0.1
> #1  0x2976b79c in waitpid () from /lib/libpthread.so.0
> #2  0x297d0978 in IA__g_on_error_stack_trace (
> #3  0x080780c4 in ?? ()
> #4  0x2976aad7 in __pthread_sighandler () from /lib/libpthread.so.0
> #5  <signal handler called>
> #6  0x28c8b9d6 in WTF::RefPtr<JSC::Structure>::get (exec=0x30240440,
> #7  JSC::JSGlobalObject::numberObjectStructure (exec=0x30240440, number=...)
> #8  JSC::constructNumber (exec=0x30240440, number=...)
> #9  0x28c84fc5 in JSC::JSValue::toThisObjectSlowCase (this=0xbfbfd494,
> #10 0x28e7edbb in JSC::JSValue::toThisObject (exec=0x30240440,
> thisValue=...,
>...
> This could well be a caused by webkit not working properly on kfreebsd
> because Epiphany also crashes on kfreebsd, "epiphany-browser: Crash
> loading any webpage"
> <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=550362>

Thanks for your bug report.

Nothing in this bug report points at a Liferea bug,
I'm therefore reassigning it to libwebkit-1.0-2.

http://bugs.debian.org/559925 might be the same issue.

Does disabling Javascript in Liferea fix it for you
(restart Liferea after changing the option in the preferences)?

If yes, build WebKit with JIT compilation disabled and
check whether that fixes the problem.

> Regards,
> Mike.
> 
> P.S. Crash reporter says
> "You have propably triggered a program bug. I will now try to"
> but probably is spelt incorrectly, it should be
> "You have probably triggered a program bug. I will now try to"
>...

Thanks, fixed in upstream SVN (fix will be in 1.6.6 and 1.7.5).
 
> -- System Information:
>...
> Architecture: kfreebsd-i386 (i686)
>...
> Versions of packages liferea depends on:
>...
> ii  libwebkit-1.0-2             1.2.4-1      Web content engine library
> for Gtk
>...

cu
Adrian

--

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed





Bug reassigned from package 'liferea' to 'libwebkit-1.0-2'. Request was from Adrian Bunk <bunk@stusta.de> to control@bugs.debian.org. (Sun, 03 Oct 2010 13:45:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions liferea/1.6.4-1. Request was from Adrian Bunk <bunk@stusta.de> to control@bugs.debian.org. (Sun, 03 Oct 2010 13:45:05 GMT) Full text and rfc822 format available.

Bug Marked as found in versions webkit/1.2.4-1. Request was from Adrian Bunk <bunk@stusta.de> to control@bugs.debian.org. (Sun, 03 Oct 2010 13:45:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#598956; Package libwebkit-1.0-2. (Sun, 03 Oct 2010 23:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Dorrington <michael.dorrington@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Sun, 03 Oct 2010 23:30:03 GMT) Full text and rfc822 format available.

Message #21 received at 598956@bugs.debian.org (full text, mbox):

From: Michael Dorrington <michael.dorrington@gmail.com>
To: Adrian Bunk <bunk@stusta.de>
Cc: 598956@bugs.debian.org, debian-bsd <debian-bsd@lists.debian.org>
Subject: Re: Bug#598956: On kfreebsd going into web pane segfaults Liferea.
Date: Mon, 04 Oct 2010 00:27:29 +0100
[Message part 1 (text/plain, inline)]
>> #0  0x29915775 in wait4 () from /lib/libc.so.0.1
>> #1  0x2976b79c in waitpid () from /lib/libpthread.so.0
>> #2  0x297d0978 in IA__g_on_error_stack_trace (
>> #3  0x080780c4 in ?? ()
>> #4  0x2976aad7 in __pthread_sighandler () from /lib/libpthread.so.0
>> #5  <signal handler called>
>> #6  0x28c8b9d6 in WTF::RefPtr<JSC::Structure>::get (exec=0x30240440,
>> #7  JSC::JSGlobalObject::numberObjectStructure (exec=0x30240440, number=...)
>> #8  JSC::constructNumber (exec=0x30240440, number=...)
>> #9  0x28c84fc5 in JSC::JSValue::toThisObjectSlowCase (this=0xbfbfd494,
>> #10 0x28e7edbb in JSC::JSValue::toThisObject (exec=0x30240440,
>> thisValue=...,
>> ...
>> This could well be a caused by webkit not working properly on kfreebsd
>> because Epiphany also crashes on kfreebsd, "epiphany-browser: Crash
>> loading any webpage"
>> <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=550362>
> 
> Thanks for your bug report.
> 
> Nothing in this bug report points at a Liferea bug,
> I'm therefore reassigning it to libwebkit-1.0-2.
> 
> http://bugs.debian.org/559925 might be the same issue.
> 
> Does disabling Javascript in Liferea fix it for you
> (restart Liferea after changing the option in the preferences)?

Yes it does! In Tools->Preferences->Browser ticked "Disable Javascript".
Liferea no longer crashes.

Not only that, for Epiphany in Edit-Preferences->Privacy unticking
"Enable JavaScript" stops Epiphany from crashing. (Had some weirdness
with http://debian.org/ but think that's because its the homepage.
Unsetting this homepage made http://debian.org/ available).

> If yes, build WebKit with JIT compilation disabled and
> check whether that fixes the problem.

Unfortunately, webkit fails to build for me on kfreebsd, even unmodified
(and webkit takes a long time to build!):

  CXXLD  libwebkit-1.0.la
collect2: ld terminated with signal 9 [Killed]
make[2]: *** [libwebkit-1.0.la] Error 1
make[2]: Leaving directory `/usr/src/webkit-1.2.4/build'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/usr/src/webkit-1.2.4/build'
make: *** [build-stamp] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2

So I can't test this patch in the built package:

--- webkit-1.2.4/debian/rules	2010-09-03 22:29:30.000000000 +0100
+++ webkit-1.2.4-disablejit/debian/rules	2010-10-03 15:58:35.000000000 +0100
@@ -54,6 +54,7 @@
 		--host=$(DEB_HOST_GNU_TYPE) \
 		--build=$(DEB_BUILD_GNU_TYPE) \
 		--enable-gtk-doc \
+		--disable-jit \
		--enable-introspection

 	$(MAKE) $(MAKEARGUMENTS) -C build

All I can say is the patch appears to disable JIT in the compile.

>> P.S. Crash reporter says
>> "You have propably triggered a program bug. I will now try to"
>> but probably is spelt incorrectly, it should be
>> "You have probably triggered a program bug. I will now try to"
>> ...
> 
> Thanks, fixed in upstream SVN (fix will be in 1.6.6 and 1.7.5).

Thanks.

Cheers,
Mike.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#598956; Package libwebkit-1.0-2. (Sun, 03 Oct 2010 23:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@stusta.de>:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Sun, 03 Oct 2010 23:57:05 GMT) Full text and rfc822 format available.

Message #26 received at 598956@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: Michael Dorrington <michael.dorrington@gmail.com>
Cc: 598956@bugs.debian.org, debian-bsd <debian-bsd@lists.debian.org>
Subject: Re: Bug#598956: On kfreebsd going into web pane segfaults Liferea.
Date: Mon, 4 Oct 2010 02:52:53 +0300
On Mon, Oct 04, 2010 at 12:27:29AM +0100, Michael Dorrington wrote:
>...
> > If yes, build WebKit with JIT compilation disabled and
> > check whether that fixes the problem.
> 
> Unfortunately, webkit fails to build for me on kfreebsd, even unmodified
> (and webkit takes a long time to build!):
> 
>   CXXLD  libwebkit-1.0.la
> collect2: ld terminated with signal 9 [Killed]
> make[2]: *** [libwebkit-1.0.la] Error 1
> make[2]: Leaving directory `/usr/src/webkit-1.2.4/build'
> make[1]: *** [all] Error 2
> make[1]: Leaving directory `/usr/src/webkit-1.2.4/build'
> make: *** [build-stamp] Error 2
> dpkg-buildpackage: error: debian/rules build gave error exit status 2

My first guess would be that you ran out of memory, or have the memory 
for a process limited.

> So I can't test this patch in the built package:
> 
> --- webkit-1.2.4/debian/rules	2010-09-03 22:29:30.000000000 +0100
> +++ webkit-1.2.4-disablejit/debian/rules	2010-10-03 15:58:35.000000000 +0100
> @@ -54,6 +54,7 @@
>  		--host=$(DEB_HOST_GNU_TYPE) \
>  		--build=$(DEB_BUILD_GNU_TYPE) \
>  		--enable-gtk-doc \
> +		--disable-jit \
> 		--enable-introspection
>...

Yes, that's what should be tested.

> Cheers,
> Mike.

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed





Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#598956; Package libwebkit-1.0-2. (Mon, 04 Oct 2010 07:39:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Dorrington <michael.dorrington@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Mon, 04 Oct 2010 07:39:12 GMT) Full text and rfc822 format available.

Message #31 received at 598956@bugs.debian.org (full text, mbox):

From: Michael Dorrington <michael.dorrington@gmail.com>
To: Adrian Bunk <bunk@stusta.de>
Cc: 598956@bugs.debian.org, debian-bsd <debian-bsd@lists.debian.org>, control@bugs.debian.org
Subject: Re: Bug#598956: On kfreebsd going into web pane segfaults Liferea.
Date: Mon, 04 Oct 2010 08:33:53 +0100
[Message part 1 (text/plain, inline)]
tags 598956 + patch
thanks

Adrian Bunk wrote:
> On Mon, Oct 04, 2010 at 12:27:29AM +0100, Michael Dorrington wrote:
>> ...
>>> If yes, build WebKit with JIT compilation disabled and
>>> check whether that fixes the problem.
>> Unfortunately, webkit fails to build for me on kfreebsd, even unmodified
>> (and webkit takes a long time to build!):
>>
>>   CXXLD  libwebkit-1.0.la
>> collect2: ld terminated with signal 9 [Killed]
>> make[2]: *** [libwebkit-1.0.la] Error 1
>> make[2]: Leaving directory `/usr/src/webkit-1.2.4/build'
>> make[1]: *** [all] Error 2
>> make[1]: Leaving directory `/usr/src/webkit-1.2.4/build'
>> make: *** [build-stamp] Error 2
>> dpkg-buildpackage: error: debian/rules build gave error exit status 2
> 
> My first guess would be that you ran out of memory, or have the memory 
> for a process limited.

You are correct. I increased the memory of the VM and didn't login to
Gnome. The compile completed successfully.

>> So I can't test this patch in the built package:
>>
>> --- webkit-1.2.4/debian/rules	2010-09-03 22:29:30.000000000 +0100
>> +++ webkit-1.2.4-disablejit/debian/rules	2010-10-03 15:58:35.000000000 +0100
>> @@ -54,6 +54,7 @@
>>  		--host=$(DEB_HOST_GNU_TYPE) \
>>  		--build=$(DEB_BUILD_GNU_TYPE) \
>>  		--enable-gtk-doc \
>> +		--disable-jit \
>> 		--enable-introspection
>> ...
> 
> Yes, that's what should be tested.

Installed
# dpkg -i libwebkit-1.0-2_1.2.4-1.disablejit_kfreebsd-i386.deb
libwebkit-1.0-2-dbg_1.2.4-1.disablejit_kfreebsd-i386.deb
libwebkit-1.0-common_1.2.4-1.disablejit_all.deb

Re-enabled Javascript in Liferea and Epiphany (and restarted them). They
both work without crashing. Success!

Patch needed for kfreebsd attached.

Danke!

Tschüss,
Mike.
[webkit-1.2.4-disable_jit-1.patch (text/x-patch, inline)]
Patch fixes issue on kfreebsd where webkit crashes due to Javascript with JIT.
--- webkit-1.2.4/debian/rules	2010-09-03 22:29:30.000000000 +0100
+++ webkit-1.2.4-disablejit/debian/rules	2010-10-03 15:58:35.000000000 +0100
@@ -54,6 +54,7 @@
 		--host=$(DEB_HOST_GNU_TYPE) \
 		--build=$(DEB_BUILD_GNU_TYPE) \
 		--enable-gtk-doc \
+		--disable-jit \
 		--enable-introspection
 
 	$(MAKE) $(MAKEARGUMENTS) -C build
[signature.asc (application/pgp-signature, attachment)]

Added tag(s) patch. Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Mon, 04 Oct 2010 07:39:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#598956; Package libwebkit-1.0-2. (Mon, 04 Oct 2010 08:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Mon, 04 Oct 2010 08:21:05 GMT) Full text and rfc822 format available.

Message #38 received at 598956@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Michael Dorrington <michael.dorrington@gmail.com>, 598956@bugs.debian.org
Subject: Re: Bug#598956: On kfreebsd going into web pane segfaults Liferea.
Date: Mon, 4 Oct 2010 10:17:50 +0200
tags 598956 - patch
thanks

On Mon, Oct 04, 2010 at 08:33:53AM +0100, Michael Dorrington wrote:
> Patch fixes issue on kfreebsd where webkit crashes due to Javascript with JIT.
> --- webkit-1.2.4/debian/rules	2010-09-03 22:29:30.000000000 +0100
> +++ webkit-1.2.4-disablejit/debian/rules	2010-10-03 15:58:35.000000000 +0100
> @@ -54,6 +54,7 @@
>  		--host=$(DEB_HOST_GNU_TYPE) \
>  		--build=$(DEB_BUILD_GNU_TYPE) \
>  		--enable-gtk-doc \
> +		--disable-jit \
>  		--enable-introspection
>  
>  	$(MAKE) $(MAKEARGUMENTS) -C build

Even if the idea is there, we can't call that a patch. It can't be
applied as is. It should at least disable jit only on kfreebsd.

Mike




Removed tag(s) patch. Request was from Mike Hommey <mh@glandium.org> to control@bugs.debian.org. (Mon, 04 Oct 2010 08:21:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#598956; Package libwebkit-1.0-2. (Mon, 04 Oct 2010 21:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Dorrington <michael.dorrington@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Mon, 04 Oct 2010 21:12:03 GMT) Full text and rfc822 format available.

Message #45 received at 598956@bugs.debian.org (full text, mbox):

From: Michael Dorrington <michael.dorrington@gmail.com>
To: Mike Hommey <mh@glandium.org>
Cc: 598956@bugs.debian.org, debian-bsd <debian-bsd@lists.debian.org>, Adrian Bunk <bunk@stusta.de>
Subject: Re: Bug#598956: On kfreebsd going into web pane segfaults Liferea.
Date: Mon, 04 Oct 2010 22:08:34 +0100
[Message part 1 (text/plain, inline)]
Mike Hommey wrote:
> tags 598956 - patch
> thanks
> 
> On Mon, Oct 04, 2010 at 08:33:53AM +0100, Michael Dorrington wrote:
>> Patch fixes issue on kfreebsd where webkit crashes due to Javascript with JIT.
>> --- webkit-1.2.4/debian/rules	2010-09-03 22:29:30.000000000 +0100
>> +++ webkit-1.2.4-disablejit/debian/rules	2010-10-03 15:58:35.000000000 +0100
>> @@ -54,6 +54,7 @@
>>  		--host=$(DEB_HOST_GNU_TYPE) \
>>  		--build=$(DEB_BUILD_GNU_TYPE) \
>>  		--enable-gtk-doc \
>> +		--disable-jit \
>>  		--enable-introspection
>>  
>>  	$(MAKE) $(MAKEARGUMENTS) -C build
> 
> Even if the idea is there, we can't call that a patch. It can't be
> applied as is. It should at least disable jit only on kfreebsd.

I've added the code to make it only apply to kfreebsd, see attached
patch. Is this good enough to be classed as a patch?

Regards,
Mike.
[webkit-1.2.4-disable_jit_on_kfreebsd-1.patch (text/x-patch, inline)]
Patch fixes issue on kfreebsd where webkit crashes due to Javascript with JIT.
--- webkit-1.2.4/debian/rules	2010-09-03 22:29:30.000000000 +0100
+++ webkit-1.2.4-disablejit/debian/rules	2010-10-04 19:18:10.000000000 +0100
@@ -5,6 +5,7 @@
 
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_ARCH_OS  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
 CFLAGS = -g -Wall
 
@@ -22,6 +23,13 @@
         CFLAGS += -gstabs
 endif
 
+CONF_FLAGS =	--enable-gtk-doc \
+		--enable-introspection
+
+ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
+        CONF_FLAGS += --disable-jit
+endif
+
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 	MAKEARGUMENTS += -j$(NUMJOBS)
@@ -53,8 +61,7 @@
 	../configure --prefix=/usr \
 		--host=$(DEB_HOST_GNU_TYPE) \
 		--build=$(DEB_BUILD_GNU_TYPE) \
-		--enable-gtk-doc \
-		--enable-introspection
+		$(CONF_FLAGS)
 
 	$(MAKE) $(MAKEARGUMENTS) -C build
 
[signature.asc (application/pgp-signature, attachment)]

Added tag(s) patch. Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Tue, 05 Oct 2010 06:24:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#598956; Package libwebkit-1.0-2. (Tue, 05 Oct 2010 06:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Tue, 05 Oct 2010 06:39:04 GMT) Full text and rfc822 format available.

Message #52 received at 598956@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Michael Dorrington <michael.dorrington@gmail.com>, 598956@bugs.debian.org
Cc: debian-bsd <debian-bsd@lists.debian.org>, Adrian Bunk <bunk@stusta.de>
Subject: Re: Bug#598956: On kfreebsd going into web pane segfaults Liferea.
Date: Tue, 5 Oct 2010 08:36:29 +0200
On Mon, Oct 04, 2010 at 10:08:34PM +0100, Michael Dorrington wrote:
> 
> Mike Hommey wrote:
> > tags 598956 - patch
> > thanks
> > 
> > On Mon, Oct 04, 2010 at 08:33:53AM +0100, Michael Dorrington wrote:
> >> Patch fixes issue on kfreebsd where webkit crashes due to Javascript with JIT.
> >> --- webkit-1.2.4/debian/rules	2010-09-03 22:29:30.000000000 +0100
> >> +++ webkit-1.2.4-disablejit/debian/rules	2010-10-03 15:58:35.000000000 +0100
> >> @@ -54,6 +54,7 @@
> >>  		--host=$(DEB_HOST_GNU_TYPE) \
> >>  		--build=$(DEB_BUILD_GNU_TYPE) \
> >>  		--enable-gtk-doc \
> >> +		--disable-jit \
> >>  		--enable-introspection
> >>  
> >>  	$(MAKE) $(MAKEARGUMENTS) -C build
> > 
> > Even if the idea is there, we can't call that a patch. It can't be
> > applied as is. It should at least disable jit only on kfreebsd.
> 
> I've added the code to make it only apply to kfreebsd, see attached
> patch. Is this good enough to be classed as a patch?

Yes. Thanks

Mike




Forcibly Merged 559925 598956. Request was from Adrian Bunk <bunk@stusta.de> to control@bugs.debian.org. (Wed, 06 Oct 2010 13:21:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#598956; Package libwebkit-1.0-2. (Wed, 06 Oct 2010 22:09:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Dorrington <michael.dorrington@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Wed, 06 Oct 2010 22:09:16 GMT) Full text and rfc822 format available.

Message #59 received at 598956@bugs.debian.org (full text, mbox):

From: Michael Dorrington <michael.dorrington@gmail.com>
To: Mike Hommey <mh@glandium.org>
Cc: 598956@bugs.debian.org, debian-bsd <debian-bsd@lists.debian.org>, Adrian Bunk <bunk@stusta.de>
Subject: Re: Bug#598956: On kfreebsd going into web pane segfaults Liferea.
Date: Wed, 06 Oct 2010 23:07:02 +0100
[Message part 1 (text/plain, inline)]
Adrian Bunk wrote:
> forcemerge 598956 559925
> thanks
> 
> cu
> Adrian

This bug is indeed the same as <http://bugs.debian.org/559925>. I can
confirm that Liferea (and Epiphany) only crashes on kfreebsd-i386 and
not kfreebsd-amd64. As such I'm updating the patch.

Regards,
Mike.
[webkit-1.2.4-disable_jit_on_kfreebsd-i386-1.patch (text/x-patch, inline)]
Author: Michael Dorrington
Description: Disables the building of JIT on kfreebsd-i386.
 On kfreebsd-i386, webkit crashes due to the Javascript JIT, see 
 <http://bugs.debian.org/598956>, so we disable the building of the 
 Javascript JIT.
 On kfreebsd-amd64, this issue does not occur.

--- webkit-1.2.4/debian/rules	2010-09-03 22:29:30.000000000 +0100
+++ webkit-1.2.4-disablejit/debian/rules	2010-10-06 09:36:03.000000000 +0100
@@ -5,6 +5,7 @@
 
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_ARCH  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 CFLAGS = -g -Wall
 
@@ -22,6 +23,13 @@
         CFLAGS += -gstabs
 endif
 
+CONF_FLAGS =	--enable-gtk-doc \
+		--enable-introspection
+
+ifeq ($(DEB_HOST_ARCH),kfreebsd-i386)
+        CONF_FLAGS += --disable-jit
+endif
+
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 	MAKEARGUMENTS += -j$(NUMJOBS)
@@ -53,8 +61,7 @@
 	../configure --prefix=/usr \
 		--host=$(DEB_HOST_GNU_TYPE) \
 		--build=$(DEB_BUILD_GNU_TYPE) \
-		--enable-gtk-doc \
-		--enable-introspection
+		$(CONF_FLAGS)
 
 	$(MAKE) $(MAKEARGUMENTS) -C build
 
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#598956; Package libwebkit-1.0-2. (Thu, 07 Oct 2010 06:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Thu, 07 Oct 2010 06:03:02 GMT) Full text and rfc822 format available.

Message #64 received at 598956@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Michael Dorrington <michael.dorrington@gmail.com>
Cc: 598956@bugs.debian.org, Adrian Bunk <bunk@stusta.de>
Subject: Re: Bug#598956: On kfreebsd going into web pane segfaults Liferea.
Date: Thu, 7 Oct 2010 08:00:46 +0200 (CEST)
Hi,

given it has only problems on (kfreebsd-)i386, please could you try whether
patch bellow is sufficient to stop crash (instead of disabling JIT) ?

Only wild guess, though.

Petr


--- JavaScriptCore/jit/JITOpcodes.cpp
+++ JavaScriptCore/jit/JITOpcodes.cpp
@@ -165,7 +165,7 @@
      * stack pointer by the right amount after the call.
      */

-#if COMPILER(MSVC) || OS(LINUX)
+#if COMPILER(MSVC) || OS(LINUX) || defined(__GLIBC__)
 #if COMPILER(MSVC)
 #pragma pack(push)
 #pragma pack(4)
@@ -228,7 +228,7 @@
     storePtr(regT2, Address(stackPointerRegister, OBJECT_OFFSETOF(NativeCallFrameStructure, thisValue) + OBJECT_OFFSETOF(JSValue, u.asBits.payload)));
     storePtr(regT3, Address(stackPointerRegister, OBJECT_OFFSETOF(NativeCallFrameStructure, thisValue) + OBJECT_OFFSETOF(JSValue, u.asBits.tag)));

-#if COMPILER(MSVC) || OS(LINUX)
+#if COMPILER(MSVC) || OS(LINUX) || defined(__GLIBC__)
     // ArgList is passed by reference so is stackPointerRegister + 4 * sizeof(Register)
     addPtr(Imm32(OBJECT_OFFSETOF(NativeCallFrameStructure, result)), stackPointerRegister, X86Registers::ecx);

@@ -1689,7 +1689,7 @@
      * not the rest of the callframe so we need a nice way to ensure we increment the
      * stack pointer by the right amount after the call.
      */
-#if COMPILER(MSVC) || OS(LINUX)
+#if COMPILER(MSVC) || OS(LINUX) || defined(__GLIBC__)
     struct NativeCallFrameStructure {
       //  CallFrame* callFrame; // passed in EDX
         JSObject* callee;
@@ -1742,7 +1742,7 @@
     loadPtr(Address(regT1, -(int)sizeof(Register)), regT1);
     storePtr(regT1, Address(stackPointerRegister, OBJECT_OFFSETOF(NativeCallFrameStructure, thisValue)));

-#if COMPILER(MSVC) || OS(LINUX)
+#if COMPILER(MSVC) || OS(LINUX) || defined(__GLIBC__)
     // ArgList is passed by reference so is stackPointerRegister + 4 * sizeof(Register)
     addPtr(Imm32(OBJECT_OFFSETOF(NativeCallFrameStructure, result)), stackPointerRegister, X86Registers::ecx);






Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#598956; Package libwebkit-1.0-2. (Thu, 07 Oct 2010 22:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Dorrington <michael.dorrington@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Thu, 07 Oct 2010 22:33:02 GMT) Full text and rfc822 format available.

Message #69 received at 598956@bugs.debian.org (full text, mbox):

From: Michael Dorrington <michael.dorrington@gmail.com>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 598956@bugs.debian.org, Adrian Bunk <bunk@stusta.de>, debian-bsd <debian-bsd@lists.debian.org>
Subject: Re: Bug#598956: On kfreebsd going into web pane segfaults Liferea.
Date: Thu, 07 Oct 2010 23:29:47 +0100
[Message part 1 (text/plain, inline)]
Petr Salinger wrote:
> Hi,
> 
> given it has only problems on (kfreebsd-)i386, please could you try whether
> patch bellow is sufficient to stop crash (instead of disabling JIT) ?

Built as suggested. This results in Liferea and Epiphany not crashing
when Javascript is enabled. I checked that the Javascript JIT really was
built-in by using Epiphany to visit a Javascript benchmarker. Epiphany
using the newly built libwebkit was clearly faster than Epiphany using
the JIT disabled libwebkit, nearly twice as fast, so JIT really is
built-in. Patch attached. Please can someone try the patch on
kfreebsd-i386 to confirm.

> Only wild guess, though.

What happens when you are certain!

> Petr

Mike.

P.S. I think the patch whitespace must have got munged on the way to me
so I had to add by hand and recreate the patch.
[webkit-1.2.4-fix_jit_on_kfreebsd-i386-1.patch (text/x-patch, inline)]
Author: Petr Salinger
Tester: Michael Dorrington
Description: Fixes Javascript JIT crashing on kfreebsd-i386.
 Fixes Javascript JIT issue that causes webkit to crash on kfreebsd-i386,
 see <http://bugs.debian.org/598956>.

 For reasoning of patch see:
 "Common practices and problems found when porting to GNU/k*BSD"
 <http://glibc-bsd.alioth.debian.org/porting/PORTING>

 On kfreebsd-amd64, this issue does not occur.


--- webkit-1.2.4/JavaScriptCore/jit/JITOpcodes.cpp	2010-09-03 20:18:02.000000000 +0100
+++ webkit-1.2.4-fix_jit_kfreebsd_i386/JavaScriptCore/jit/JITOpcodes.cpp	2010-10-07 06:09:55.000000000 +0100
@@ -165,7 +165,7 @@
      * stack pointer by the right amount after the call.
      */
 
-#if COMPILER(MSVC) || OS(LINUX)
+#if COMPILER(MSVC) || OS(LINUX) || defined(__GLIBC__)
 #if COMPILER(MSVC)
 #pragma pack(push)
 #pragma pack(4)
@@ -228,7 +228,7 @@
     storePtr(regT2, Address(stackPointerRegister, OBJECT_OFFSETOF(NativeCallFrameStructure, thisValue) + OBJECT_OFFSETOF(JSValue, u.asBits.payload)));
     storePtr(regT3, Address(stackPointerRegister, OBJECT_OFFSETOF(NativeCallFrameStructure, thisValue) + OBJECT_OFFSETOF(JSValue, u.asBits.tag)));
 
-#if COMPILER(MSVC) || OS(LINUX)
+#if COMPILER(MSVC) || OS(LINUX) || defined(__GLIBC__)
     // ArgList is passed by reference so is stackPointerRegister + 4 * sizeof(Register)
     addPtr(Imm32(OBJECT_OFFSETOF(NativeCallFrameStructure, result)), stackPointerRegister, X86Registers::ecx);
 
@@ -1689,7 +1689,7 @@
      * not the rest of the callframe so we need a nice way to ensure we increment the
      * stack pointer by the right amount after the call.
      */
-#if COMPILER(MSVC) || OS(LINUX)
+#if COMPILER(MSVC) || OS(LINUX) || defined(__GLIBC__)
     struct NativeCallFrameStructure {
       //  CallFrame* callFrame; // passed in EDX
         JSObject* callee;
@@ -1742,7 +1742,7 @@
     loadPtr(Address(regT1, -(int)sizeof(Register)), regT1);
     storePtr(regT1, Address(stackPointerRegister, OBJECT_OFFSETOF(NativeCallFrameStructure, thisValue)));
 
-#if COMPILER(MSVC) || OS(LINUX)
+#if COMPILER(MSVC) || OS(LINUX) || defined(__GLIBC__)
     // ArgList is passed by reference so is stackPointerRegister + 4 * sizeof(Register)
     addPtr(Imm32(OBJECT_OFFSETOF(NativeCallFrameStructure, result)), stackPointerRegister, X86Registers::ecx);
 
[signature.asc (application/pgp-signature, attachment)]

Added indication that 598956 affects liferea Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Sat, 16 Oct 2010 10:00:08 GMT) Full text and rfc822 format available.

Forcibly Merged 559925 598894 598956. Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Sat, 16 Oct 2010 10:48:07 GMT) Full text and rfc822 format available.

Forcibly Merged 550362 559925 598894 598956. Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Sat, 16 Oct 2010 11:28:55 GMT) Full text and rfc822 format available.

Forcibly Merged 547177 550362 559925 598894 598956. Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Mon, 25 Oct 2010 21:06:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#598956; Package libwebkit-1.0-2. (Sun, 07 Nov 2010 09:16:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Sun, 07 Nov 2010 09:16:10 GMT) Full text and rfc822 format available.

Message #82 received at 598956@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 598956@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#598956: javascript segfaults in webkit on kfreebsd-i386
Date: Sun, 7 Nov 2010 10:09:26 +0100 (CET)
found 598956 1.2.5-2
severity 598956 serious
--

Hi,

it brokes many browsers on kfreebsd-i386, please apply (now) tested patch,
which is in

Message #64 received at 598956@bugs.debian.org
Message #69 received at 598956@bugs.debian.org

The patch itself is just adding four times "|| defined(__GLIBC__)".

Thanks

	Petr





Bug Marked as found in versions webkit/1.2.5-2. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Sun, 07 Nov 2010 09:16:25 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Sun, 07 Nov 2010 09:16:28 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>:
Bug#598956; Package libwebkit-1.0-2. (Thu, 11 Nov 2010 10:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>. (Thu, 11 Nov 2010 10:00:03 GMT) Full text and rfc822 format available.

Message #91 received at 598956@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 598956@bugs.debian.org
Subject: webkit: diff for NMU version 1.2.5-2.1
Date: Thu, 11 Nov 2010 10:56:36 +0100
[Message part 1 (text/plain, inline)]
tags 598956 + pending
thanks

Dear maintainer,

I've prepared an NMU for webkit (versioned as 1.2.5-2.1) and
uploaded it to DELAYED/5. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
 .''`.   http://info.comodo.priv.at/ -- GPG key IDs: 0x8649AA06, 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Pink Floyd: The trial
[webkit-1.2.5-2.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Thu, 11 Nov 2010 10:00:07 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Tue, 16 Nov 2010 10:21:07 GMT) Full text and rfc822 format available.

Notification sent to Michael Dorrington <michael.dorrington@gmail.com>:
Bug acknowledged by developer. (Tue, 16 Nov 2010 10:21:07 GMT) Full text and rfc822 format available.

Message #98 received at 598956-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 598956-close@bugs.debian.org
Subject: Bug#598956: fixed in webkit 1.2.5-2.1
Date: Tue, 16 Nov 2010 10:17:50 +0000
Source: webkit
Source-Version: 1.2.5-2.1

We believe that the bug you reported is fixed in the latest version of
webkit, which is due to be installed in the Debian FTP archive:

gir1.0-webkit-1.0_1.2.5-2.1_i386.deb
  to main/w/webkit/gir1.0-webkit-1.0_1.2.5-2.1_i386.deb
libwebkit-1.0-2-dbg_1.2.5-2.1_i386.deb
  to main/w/webkit/libwebkit-1.0-2-dbg_1.2.5-2.1_i386.deb
libwebkit-1.0-2_1.2.5-2.1_i386.deb
  to main/w/webkit/libwebkit-1.0-2_1.2.5-2.1_i386.deb
libwebkit-1.0-common_1.2.5-2.1_all.deb
  to main/w/webkit/libwebkit-1.0-common_1.2.5-2.1_all.deb
libwebkit-dev_1.2.5-2.1_i386.deb
  to main/w/webkit/libwebkit-dev_1.2.5-2.1_i386.deb
webkit_1.2.5-2.1.debian.tar.gz
  to main/w/webkit/webkit_1.2.5-2.1.debian.tar.gz
webkit_1.2.5-2.1.dsc
  to main/w/webkit/webkit_1.2.5-2.1.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 598956@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated webkit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 10 Nov 2010 23:28:55 +0100
Source: webkit
Binary: libwebkit-1.0-2 libwebkit-dev libwebkit-1.0-common libwebkit-1.0-2-dbg gir1.0-webkit-1.0
Architecture: source all i386
Version: 1.2.5-2.1
Distribution: unstable
Urgency: low
Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 gir1.0-webkit-1.0 - GObject introspection data for the WebKit library
 libwebkit-1.0-2 - Web content engine library for Gtk+
 libwebkit-1.0-2-dbg - Web content engine library for Gtk+ - Debugging symbols
 libwebkit-1.0-common - Web content engine library for Gtk+ - data files
 libwebkit-dev - Web content engine library for Gtk+ - Development files
Closes: 598956
Changes: 
 webkit (1.2.5-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Add patch 05-fix-jit-on-kfreebsd-i386.patch by Petr Salinger and
     Michael Dorrington: Fixes Javascript JIT crashing on kfreebsd-i386
     (closes: #598956).
Checksums-Sha1: 
 f9ee996a7698cf98141a9de6ee72db6d335fe99a 2358 webkit_1.2.5-2.1.dsc
 47091f0ccf6340ce61fea903bb6c9fe6436f28ef 32863 webkit_1.2.5-2.1.debian.tar.gz
 ccc34b83f93667d0a0ad81291f951feae97ed47f 796068 libwebkit-1.0-common_1.2.5-2.1_all.deb
 f7f917af2f8c118bcb4314ce26196674eb9106e1 5149792 libwebkit-1.0-2_1.2.5-2.1_i386.deb
 61cee8075c53bc42d4d43b149fe72d8751962f22 129428 libwebkit-dev_1.2.5-2.1_i386.deb
 46c0e1b6dee745e84b7851af6359a317972e56fd 138237928 libwebkit-1.0-2-dbg_1.2.5-2.1_i386.deb
 cbc83b95461536e32e3ac8814c2235c9d9dc1c0a 31604 gir1.0-webkit-1.0_1.2.5-2.1_i386.deb
Checksums-Sha256: 
 5c0947ef992695417cdb93bad2dfb3913c4f1bde1775de304f6aa8ab22091b90 2358 webkit_1.2.5-2.1.dsc
 edeb949c375a9702833c0ce6a4669e359ad33467fdb52257cacce3882a1d679d 32863 webkit_1.2.5-2.1.debian.tar.gz
 bfe93db03d3bf7925563e96a973d811e1cd6346be6b3c59968af3861002550df 796068 libwebkit-1.0-common_1.2.5-2.1_all.deb
 dfd62299293643c62903f2ebef7f7891dbf300aebf20a27e4708d98acf284a3b 5149792 libwebkit-1.0-2_1.2.5-2.1_i386.deb
 4d39280abd7dde7084982a28a2e5e6bb5d436ed5773b2ffdeb545bfb0201eab9 129428 libwebkit-dev_1.2.5-2.1_i386.deb
 84390e03c4ee4d57a4349a11e5e774021cbeaca7bebf49af3fc9c58b3d21f86a 138237928 libwebkit-1.0-2-dbg_1.2.5-2.1_i386.deb
 04f46421daab65b49e62d5ccaf75d1f5664c21c4a707de26ab52fd979c773cff 31604 gir1.0-webkit-1.0_1.2.5-2.1_i386.deb
Files: 
 c10e52490421926d6391a7072e4fca41 2358 web optional webkit_1.2.5-2.1.dsc
 bbf031cd1fffa48c2886715cf269cd70 32863 web optional webkit_1.2.5-2.1.debian.tar.gz
 f3b7118d14fbad1db2f019d93da0dbb8 796068 libs optional libwebkit-1.0-common_1.2.5-2.1_all.deb
 d5e9370be430111c45db5e1644d97034 5149792 libs optional libwebkit-1.0-2_1.2.5-2.1_i386.deb
 c40cfbaf2e9d8d1625e2493ecff19350 129428 libdevel extra libwebkit-dev_1.2.5-2.1_i386.deb
 178805d2b7641abefa983eafb2140285 138237928 debug extra libwebkit-1.0-2-dbg_1.2.5-2.1_i386.deb
 4a655d69b0480375b8e859dfac4161b5 31604 libs optional gir1.0-webkit-1.0_1.2.5-2.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJM27oGAAoJELs6aAGGSaoGFasP/RMrHop68E5iQMmeF6n2Zrq/
iMtCsJ30tDGlIXYZ0yXum8IrfpWg/9MEDitCj0LngG62dDg6rNn4YO65F7FvAVhb
q2tYi++Vgb0jcIcak8T3N6RAcL3I3qKG41uilCWFvqePDfJoNvmKW1KwMogstqTV
Zo4vuHWMUtBbnny1YAZNPDr12gbep+Zb/d8opv+YP/++ppqVilRWp5zpoYCzR6CX
RfyrQKy0wPXPo4BDtMLpsuMr6vz7sx8+xnVPIStOdd2YSylF7pHaNjbfYdYLYez1
ZJ9PQCH2xsKZiOuccgR4bYKuTLF248kCF+QuHvz+XqGVRngcdHHKkWlIO9bx/o1r
lHQD6QaKuficEKrnyOO+/a27RQdRqAjO6iH29+hweaji+V8j4NBkDwaM1tbzwCM3
8LqEOgjqnPnd5IR/6/5sGypuRr3vzcrl/CNvzFH0IFp1F+cfbFeAwSRolkx9oPsb
qetd8imMu0KF0+PhNIg2DWvesp8ojmgOJ8fNh/3rDknc9c801C+nR83+24bZaqE7
zZy8mW+vwcQfIi8GgiIlRdyAbIOfpetOP34tePYVrJ4HIqCDfv5moK7IwkK7KhId
o4eMNm16vcHDPhBcB/Zb+ResL6RDrS+xZJ50VrhNfK7rKJbhEASae9JjG1CAY33U
82/IQCuFF/2cSQ6BKZgO
=HlOu
-----END PGP SIGNATURE-----





Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Tue, 16 Nov 2010 10:21:07 GMT) Full text and rfc822 format available.

Notification sent to Rogério Brito <rbrito@ime.usp.br>:
Bug acknowledged by developer. (Tue, 16 Nov 2010 10:21:07 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Tue, 16 Nov 2010 10:21:08 GMT) Full text and rfc822 format available.

Notification sent to Witold Baryluk <baryluk@smp.if.uj.edu.pl>:
Bug acknowledged by developer. (Tue, 16 Nov 2010 10:21:08 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Tue, 16 Nov 2010 10:21:09 GMT) Full text and rfc822 format available.

Notification sent to Luca Bruno <lucab@debian.org>:
Bug acknowledged by developer. (Tue, 16 Nov 2010 10:21:09 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Tue, 16 Nov 2010 10:21:10 GMT) Full text and rfc822 format available.

Notification sent to Michael Dorrington <michael.dorrington@gmail.com>:
Bug acknowledged by developer. (Tue, 16 Nov 2010 10:21:10 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 05 Jan 2011 07:33:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:23:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.